#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QTimer>

namespace Ui {
class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    explicit Widget(QWidget *parent = 0);
    ~Widget();

private slots:
    void on_verticalSlider_valueChanged(int value); // l'action sur le slider
    void on_timer();        // le slot du timer

private:
    Ui::Widget *ui;
    QTimer *timer;      // le timer
};

#endif // WIDGET_H
